Loading...
Searching...
No Matches
globus_common_include.h File Reference

Include System Headers. More...

`#include "globus_config.h"`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include <sys/param.h>`
`#include <fcntl.h>`
`#include <pwd.h>`
`#include <netdb.h>`
`#include <netinet/in.h>`
`#include <sys/socket.h>`
`#include <sys/uio.h>`
`#include <sys/time.h>`
`#include <time.h>`
`#include <stdint.h>`
`#include <errno.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <limits.h>`
`#include <assert.h>`
`#include <signal.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include <stdarg.h>`
`#include <dirent.h>`
`#include <inttypes.h>`
`#include "globus_types.h"`

Go to the source code of this file.

## Macros

#define | __USE_POSIX

## Detailed Description

Include System Headers.

Defines the macros and typedefs common to all globus_common components.

## Macro Definition Documentation

## __USE_POSIX

#define __USE_POSIX

GET IPv6 compatible types (at least with GNU)